> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an allowlisted user account



## OpenAPI

````yaml /openapi.json post /api/v1/auth/signup
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/auth/signup:
    post:
      summary: Create an allowlisted user account
      operationId: signupAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthSignup'
      responses:
        '201':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthUserEnvelope'
      security: []
components:
  schemas:
    AuthSignup:
      type: object
      properties:
        email:
          type: string
          format: email
        password:
          type: string
          minLength: 8
          maxLength: 1024
        displayName:
          type: string
          minLength: 1
          maxLength: 120
        username:
          type: string
          minLength: 2
          maxLength: 80
          pattern: ^[a-zA-Z0-9._-]+$
      required:
        - email
        - password
        - displayName
      additionalProperties: false
    AuthUserEnvelope:
      type: object
      properties:
        user:
          type: object
          properties:
            userId:
              type: string
            email:
              type: string
              format: email
            username:
              type: string
              nullable: true
            displayName:
              type: string
            emailVerified:
              type: boolean
          required:
            - userId
            - email
            - username
            - displayName
            - emailVerified
          additionalProperties: false
      required:
        - user
      additionalProperties: false

````